Subject: Re: [PATCH v2 7/8] t: introduce compatibility options to clar-based tests

From: Junio C Hamano <[email-masked]>
Date: Fri, 13 Dec 2024 07:56:47 -0800

Patrick Steinhardt <[email-masked]> writes:

> Note that this also requires us to remove the `-x` short option for
> `--exclude`. This is because `-x` has another meaning in our integration
> tests, as it enables shell tracing. I doubt there are a lot of people
> out there using it as we only got a small hand full of clar tests in the
> first place. So better change it now so that we can in the long run
> improve compatibility between the two different test drivers.

Yup, even though we always hate to see a change that forces people
to adjust to, this is a developer thing, and it certainly is better
to do such a change, if we must, earlier.

Thanks.